Skip to content

Change your workspace's settings; its attribution's journeys and cross_device switches are its owner's

PATCH
/v1/buyer/settings
curl --request PATCH \
--url https://example.com/v1/buyer/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "attribution": { "cross_device": true, "half_life_hours": 1, "journeys": true, "lookback_minutes": 1, "model": "last_click", "position_first_bps": 1, "position_last_bps": 1 }, "attribution_days": 1, "bot_action": "flag", "currency": "example", "time_zone": "example" }'

Who: a workspace’s buyer, or its key. API keys with the buyer:write scope.

Media typeapplication/json
object
attribution
Any of:
object
cross_device
boolean | null
half_life_hours
integer | null format: int64
journeys
boolean | null
lookback_minutes
integer | null format: int64
model
string | null
Allowed values: last_click first_click linear time_decay position_based
position_first_bps
integer | null format: int32
position_last_bps
integer | null format: int32
attribution_days
integer | null format: int32
bot_action
string | null
Allowed values: flag block
currency
string | null
time_zone
string | null

OK

Media typeapplication/json
object
attribution
required
object
cross_device
required
boolean
half_life_hours
required
integer format: int64
journeys
required
boolean
lookback_minutes
required
integer format: int64
model
required
string | null
Allowed values: last_click first_click linear time_decay position_based
position_first_bps
required
integer format: int32
position_last_bps
required
integer format: int32
attribution_days
required
integer format: int32
bot_action
required
string | null
Allowed values: flag block
created_at
required
string format: date-time
currency
required
string
sequence
required
integer format: int64
time_zone
required
string
updated_at
required
string format: date-time
updated_by
required
Any of:
object
account
string
id
string
kind
required
string | null
Allowed values: user api_key service system postback rule tuner schedule
name
string
workspace_id
required
integer format: int64

Example

{
"attribution": {
"model": "last_click"
},
"bot_action": "flag",
"updated_by": {
"kind": "user"
}
}

An error, as go-commons apperr maps it

Media typeapplication/json
object
error
required
object
code
required
string
fields
object
key
additional properties
string
message
required
string

Example generated

{
"error": {
"code": "example",
"fields": {
"additionalProperty": "example"
},
"message": "example"
}
}